# readme

## about

"/data" directory contains the following files.

- Problem instances of the standard data set used in each problem class
- Known best solution, if available on the problem library site
- best_solutions.csv: CSV file listing the best solution evaluation values

Problem instances will be automatically downloaded from the original site if the file does not exist locally at the time the benchmark is run.

## Available Problem sources

This information outlines the sources of the problem instances used in our project. Some of the problems were obtained from public sources, while others were generated by members of our team.

### TSPLIB

http://comopt.ifi.uni-heidelberg.de/software/TSPLIB95/

### CVRPLIB

http://vrp.atd-lab.inf.puc-rio.br/index.php/en/

### QAPLIB

https://coral.ise.lehigh.edu/data-sets/qaplib/qaplib-problem-instances-and-solutions/

### GSET

- GSET : https://web.stanford.edu/~yyye/yyye/Gset/
- K2000 : https://github.com/hariby/SA-complete-graph

### QPLIB

https://qplib.zib.de/

### SUDOKULIB

16x16_web_xxx files are obtained from https://www.free-sudoku-puzzle.com/puzzle_fours/list_hard, where xxx corresponds to the problem number on the website.

9x9 problems are obtained from https://sites.google.com/site/dobrichev/sudoku-puzzle-collections. 39-hint problems are taken from the file `39puz217.txt`, while 17-hint problems are taken from lines 1-100 of file `17puz49157.txt`. The 39-hint problem file names are 9x9_xxx, where xxx corresponds to (the line number in `39puz217.txt` - 1). The 17-hint problem file names are 9x9_h17_xxx, where xxx corresponds to (the line number in `17puz49157.txt` - 1).

16x16_1_xxx, 16x16_2_xxx, and 25x25_xxx data were generated by members of our team. The original file names are '16x16_data', '16x16_2_data', and '25x25_data', respectively. Xxx corresponds to (the line number in the original file - 1) for each problem instance.

